LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
SerialNumberAdapter Service Reference

provides conversion services for Serial Numbers. More...

`import"SerialNumberAdapter.idl";`

Inheritance diagram for SerialNumberAdapter:

## Additional Inherited Members
Public Member Functions inherited from XSerialNumberAdapter
string | toString ([in]sequence< byte > SerialNumber)
| Convert the SerialNumber to a string. More...
sequence< byte > | toSequence ([in]string SerialNumber)
| Convert the SerialNumber to a sequence. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides conversion services for Serial Numbers.

An implementation of this service enables the conversion of certificate serial number to and from a string

Since
  OOo 3.1

The documentation for this service was generated from the following file:

- com/sun/star/security/SerialNumberAdapter.idl